[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

linux-2.6_3.2.9-1~bpo60+1_multi.changes is NEW

  to main/l/linux-2.6/linux-2.6_3.2.9-1~bpo60+1.diff.gz
  to main/l/linux-2.6/linux-2.6_3.2.9-1~bpo60+1.dsc
  to main/l/linux-2.6/linux-2.6_3.2.9.orig.tar.gz
  to main/l/linux-2.6/linux-doc-3.2_3.2.9-1~bpo60+1_all.deb
  to main/l/linux-2.6/linux-manual-3.2_3.2.9-1~bpo60+1_all.deb
  to main/l/linux-2.6/linux-patch-debian-3.2_3.2.9-1~bpo60+1_all.deb
  to main/l/linux-2.6/linux-source-3.2_3.2.9-1~bpo60+1_all.deb
(new) linux-support-3.2.0-0.bpo.2_3.2.9-1~bpo60+1_all.deb optional devel
Support files for Linux 3.2
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
Changes: linux-2.6 (3.2.9-1~bpo60+1) squeeze-backports; urgency=low
  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.2
    - Monkey-patch Python collections module to add OrderedDict if necessary
linux-2.6 (3.2.9-1) unstable; urgency=high
  * New upstream stable update:
    - [i386] i387: move TS_USEDFPU flag from thread_info to task_struct
    - [x86] additional refactoring of FPU/SSE state save and restore
    - vfs: fix d_inode_lookup() dentry ref leak
    - target: Allow control CDBs with data > 1 page
    - epoll: introduce POLLFREE to flush ->signalfd_wqh before kfree()
    - epoll: ep_unregister_pollwait() can use the freed pwq->whead
    - epoll: limit paths (CVE-2011-1083)
    - cdrom: use copy_to_user() without the underscores
  [ Bastian Blank ]
  * [mips,mipsel] Also remove ext4 modules from installer.
  [ Ben Hutchings ]
  * Update debconf template translations:
    - Update Dutch (Willem Kuyn) (Closes: #658736)
    - Add Polish (Michał Kułach) (Closes: #658912)
  * Bump ABI to 2
  * fs: Introduce and enable security restrictions on links:
    - Do not follow symlinks in /tmp that are owned by other users
      (sysctl: fs.protected_symlinks)
    - Do not allow unprivileged users to create hard links to sensitive files
      (sysctl: fs.protected_hardlinks) (Closes: #609455)
      + This breaks the 'at' package in stable, which will be fixed shortly
        (see #597130)
    The precise restrictions are specified in Documentation/sysctl/fs.txt in
    the linux-doc-3.2 and linux-source-3.2 packages.
  * iwlwifi: fix key removal (Closes: #651199)
  * cgroups: Set CGROUP_PERF
  * media/rc: Enable RC_ATI_REMOTE as module
  * gspca: Enable USB_GSPCA_TOPRO as module
  * dvb-usb: Enable DVB_USB_PCTV452E, DVB_USB_MXL111SF as modules
  [ Uwe Kleine-König ]
  * [x86] Update rt featureset to 3.2.9-rt15
linux-2.6 (3.2.7-1) unstable; urgency=low
  * New upstream stable update:
  [ Ben Hutchings ]
  * Add Turkish debconf template translations (Mert Dirik) (Closes: #660117)
  * Use libata-based drivers for most of the remaining PATA controllers:
    - pata_legacy replaces ide-generic
    - pata_isapnp replaces ide-pnp
    - pata_opti replaces opti621
    - pata_hpt366 and pata_hpt37x replace hpt366
    - pata_ninja32 replaces delkin_cb
    - pata_cs5535 replaces cs5535
    - pata_winbond replaces sl82c105
    - [alpha] pata_cypress replaces cy82c693
    - [hppa] pata_ns87415 replaces ns87415
    - [sparc] Various replacements, as for x86 in 2.6.32-10
  * Disable old IDE subsystem [!ia64,m68k]:
    - Disable BLK_DEV_IT8172, BLK_DEV_IT8213, BLK_DEV_TC86C001, BLK_DEV_TRM290
    - [alpha] Disable BLK_DEV_4DRIVES, BLK_DEV_ALI14XX, BLK_DEV_DTC2278,
  * fs: Enable EFI_PARTITION in all configurations (Closes: #660582)
  * [i386] Re-enable INTEL_IOMMU, IRQ_REMAP
  * [mips/r5k-ip32] Enable INPUT_SGI_BTNS (previously INPUT_SGIO2_BTNS)
  * [powerpc/powerpc64] Enable IBM_EMAC (previously IBM_NEW_EMAC)
  * [x86] drm/i915: do not enable RC6p on Sandy Bridge (Closes: #660265)
  * ipsec: be careful of non existing mac headers (Closes: #660804)
  * version: Use maintainer rather than uploader address for official
    binary packages
  [ Bastian Blank ]
  * Don't advertise Xen support for rt images. (closes: #659988)
  * [m68k,mips,mipsel] Use ext4 for all ext-variants. (closes: #660446)
  * [m68k,mips,mipsel] Don't built-in ramdisk support.
  * [hppa,mips,mipsel] Don't built-in cramfs support.
  * [alpha,hppa] Don't built-in ext2.
  * Remove IDE trigger for LED support.
  * Remove all framebuffer bootup logos.
  * NFSv4: Fix an Oops in the NFSv4 getacl code.
linux-2.6 (3.2.6-1) unstable; urgency=low
  * New upstream stable update:
    - ALSA: hda - Apply 0x0f-VREF fix to all ASUS laptops with ALC861/660
      (Closes: #657302)
    - [armhf] vfp: flush thread hwstate before restoring context from sigframe
    - proc: mem_release() should check mm != NULL
    - proc: make sure mem_open() doesnt pin the targets memory
    - [arm] sched/rt: Fix task stack corruption under
    - eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - iscsi-target: Fix reject release handling in iscsit_free_cmd()
    - iscsi-target: Fix double list_add with iscsit_alloc_buffs reject
    - pcmcia: fix socket refcount decrementing on each resume
  [ Aurelien Jarno ]
  * hwmon: backport IT8728F support for linux 3.3.
  [ Uwe Kleine-König ]
  * [amd64] Update rt featureset to 3.2.5-rt12
  * [i386] enable rt featureset for 686-pae
  [ Arnaud Patard ]
  * Merge ixp4xx oops fix when probing mtd.
  [ Ben Hutchings ]
  * Change linux-image dependencies to allow kmod as an alternative to
  * relay: prevent integer overflow in relay_open()
  * builddeb: Don't create files in /tmp with predictable names
  * ath9k: fix a WEP crypto related regression (Closes: #659484)

Override entries for your package:
linux-2.6_3.2.9-1~bpo60+1.dsc - source kernel
linux-doc-3.2_3.2.9-1~bpo60+1_all.deb - optional doc
linux-manual-3.2_3.2.9-1~bpo60+1_all.deb - optional doc
linux-patch-debian-3.2_3.2.9-1~bpo60+1_all.deb - optional kernel
linux-source-3.2_3.2.9-1~bpo60+1_all.deb - optional kernel

Announcing to debian-backports-changes@lists.debian.org

Your package contains new components which requires manual editing of
the override file.  It is ok otherwise, so please be patient.  New
packages are usually added to the override file about once a week.

You may have gotten the distribution wrong.  You'll get warnings above
if files already exist in other distributions.
ngs above
if files already exist in other distributions.

Reply to: